%define ver_major 2.16
%def_disable static

%define oldname GConf2
%define namefix_ver 2.14.0-alt2

Name: GConf
Version: %ver_major.1
Release: alt1
Provides: %oldname = %version-%release
Obsoletes: %oldname < %namefix_ver

Summary: Gnome Config System
Summary(ru_RU.KOI8-R):   Gnome
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/projects/gconf

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: gconf2
Source2: gconf2_set
Source3: gconf2_add	
Source4: gconf2_get	

# stylesheet for strip translations (using XInclude)
# from gconf schema files. Thanks vyt@.
Source5: gconf2-strip-locales.xsl
# gconf2-strip-locales.sh for apply gconf2-strip-locales.xsl
# (%%gconf2_stripschemas rpm macros uses it).
Source6: gconf2-strip-locales.sh

%define ORBit_ver 2.12.1
%define glib_ver 2.9.0
%define libxml2_ver 2.6.17
%define pango_ver 1.8.1
%define gnome_common_ver 2.8.0

Requires: rpm >= 4.0.4-alt1
Requires: lib%name = %version-%release
Requires: ORBit2 >= %ORBit_ver

BuildPreReq: intltool >= 0.35
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: libpango-devel >= %pango_ver

# to build manpages.
BuildPreReq: help2man

BuildRequires: docbook-dtds docbook-style-xsl docbook-utils gtk-doc indent libgtk+2-devel libpopt-devel zlib-devel

BuildRequires: gnome-common >= %gnome_common_ver

%description
GConf is the GNOME Configuration database system.

GNOME is the GNU Network Object Model Environment. That's a fancy
name but really GNOME is a nice GUI desktop environment. It makes
using your computer easy, powerful, and easy to configure.

%package -n lib%name
Summary: Gnome Config System library package
Group: Graphical desktop/GNOME
Provides: lib%oldname = %version-%release
Obsoletes: lib%oldname < %namefix_ver

%description -n lib%name
GConf library package. Contains files needed for using GConf.

%package -n lib%name-devel
Summary: Gnome Config System development package
Group: Development/GNOME and GTK+
Provides: lib%oldname-devel = %version-%release
Obsoletes: lib%oldname-devel < %namefix_ver
Requires: lib%name = %version-%release

%description -n lib%name-devel
GConf development package. Contains files needed for doing
development using GConf.

%package -n lib%name-devel-doc
Summary: Development documentation for GConf
Group: Development/GNOME and GTK+
Conflicts: lib%name < %version-%release

%description -n lib%name-devel-doc
GConf is the GNOME Configuration database system.

This package contains development documentation for GConf.

%package -n lib%name-devel-static
Summary: Gnome Config System development package
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
GConf static libraries package. Contains libraries needed for doing
development using GConf.

%prep
%setup -q

# disable localization for gconftool-2
#%__subst 's,\(setlocale (.* \"\),\1C,' gconf/gconftool.c

# disable localization for gconfd
%__subst 's,\(setlocale (.* \"\),\1C,' gconf/gconfd.c

%build
%configure \
    --enable-gtk \
	%{subst_enable static} \
	--enable-gtk-doc

# SMP-incompatible build
%make

%install
%make_install DESTDIR=%buildroot install

%__cat <<__EOF__ >%buildroot%_sysconfdir/gconf/schema-install-source
xml:readwrite:%_cachedir/gconf/gconf.xml.defaults
__EOF__

%__cat <<__EOF__ >>%buildroot%_sysconfdir/gconf/2/path
xml:readonly:%_cachedir/gconf/gconf.xml.defaults
__EOF__

%__mkdir_p %buildroot%_datadir/gconf/locale
%__install -m644 %SOURCE5 %buildroot%_datadir/gconf/
%__install -m755 %SOURCE6 %buildroot%_datadir/gconf/

%__mkdir_p %buildroot%_cachedir/gconf/{gconf.xml.defaults,gconf.xml.mandatory}
%__chmod 755 %buildroot{%_sysconfdir,%_cachedir}/gconf/gconf.xml.defaults
%__chmod 755 %buildroot{%_sysconfdir,%_cachedir}/gconf/gconf.xml.mandatory

%__install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/rpm/macros.d/gconf2
%__install -p -m755 %SOURCE2 %SOURCE3 %SOURCE4 %buildroot%_bindir/

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/buildreqs/files/ignore.d/gconf2
^%_sysconfdir/rpm/macros.d/gconf2$
__EOF__

# build man page for gconftool-2
LD_LIBRARY_PATH=gconf/.libs \
help2man -N --name="is a tool to control GConf from the command line" \
	    --manual="Gnome Config System" \
	    gconf/.libs/gconftool-2 > gconftool-2.man

%__install -pD -m644 gconftool-2.man %buildroot%_man1dir/gconftool-2.1

%find_lang GConf2

bzip2 -9f ChangeLog

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f GConf2.lang
%_bindir/*
%_libexecdir/gconfd-2
%_libexecdir/gconf-sanity-check-2
%_datadir/sgml/gconf
%dir %_datadir/gconf
%_datadir/gconf/gconf2-strip-locales.sh
%_datadir/gconf/gconf2-strip-locales.xsl
%dir %_datadir/gconf/locale
%dir %_sysconfdir/gconf
%dir %_sysconfdir/gconf/2
%dir %_sysconfdir/gconf/gconf.xml.defaults
%dir %_sysconfdir/gconf/gconf.xml.mandatory
%dir %_cachedir/gconf
%dir %_cachedir/gconf/gconf.xml.defaults
%dir %_cachedir/gconf/gconf.xml.mandatory
%config(noreplace) %_sysconfdir/gconf/2/path
%config(noreplace) %_sysconfdir/gconf/schema-install-source
%_man1dir/*
%doc AUTHORS ChangeLog.bz2 NEWS README

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/GConf
%dir %_libdir/GConf/2
%_libdir/GConf/2/*.so

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%config %_sysconfdir/rpm/macros.d/gconf2
%_sysconfdir/buildreqs/files/ignore.d/gconf2

%files -n lib%name-devel-doc
%doc %_datadir/gtk-doc/html/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/GConf/2/*.a
%endif

%exclude %_libdir/GConf/*/*.la

%changelog
* Thu Mar 15 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.1-alt1
- new version (2.16.1)
- spec cleanup
- bzipped ChangeLog (Bug #11073)
- updated dependencies

* Thu Jun 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt2
- removed '2' from the package name
- fixed bug #9681

* Wed Apr 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version 2.14.0 (with rpmrb script)

* Sun Feb 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt1
- new version
- updated dependencies
- minor spec improvements

* Thu Nov 03 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed excess buildreqs.

* Mon Aug 29 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92
- Removed excess buildreqs.

* Wed Jul 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Sat Feb 12 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1.1
- create /var/gconf/{gconf.xml.defaults,gconf.xml.mandatory}
  with right permissions.

* Tue Feb 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Mon Dec 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.9.2-alt1
- 2.9.2

* Tue Dec 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt2
- changed default schemas install source from /etc to /var.
- documentation moved to devel-doc subpackage.

* Fri Nov 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1.1
- disable localization for gconfd (#5480).

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Thu Aug 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Sun Jul 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Wed Jan 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Tue Jun 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- gconf2_uninstall macro.

* Sat May 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2
- doesn't provides old GConf.

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Sun Jan 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt9
- Some fixes and updates from cvs.

* Sun Dec 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt8
- %%default_source macro renamed to %%gconf2_default_source (#1648)

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt7
- %%post/%%postun fixed.

* Fri Oct 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt6
- gconf2_set script modified (tested in gedit package).
- new gconf2_{set_new,unset,unset_r} macros. Only gconf2_set_new
  tested in gnome-panel package.
- gconf2_get auxiliary script/macro added.

* Fri Oct 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt5.1
- Localized output from gconftool-2 disabled.

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.1-alt5
- fixed gconf2_set macro:
   * fix gconftool-2 call,
   * have to create separate script to avoid rpm spec preprocessing problems
- spec improvements (%%setup -q)

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt4
- rebuild with new pango.

* Tue Oct 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt3.2
- gconf2_set macro added to %_sysconfdir/rpm/macros.d/gconf2 macrofile.
- Added %_sysconfdir/rpm/macros.d/gconf2 to buildreq ignores.
- Manpage for gconftool-2 added.

* Fri Sep 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt3
- %_sysconfdir/rpm/macros.d/gconf2 macrofile added (ldv). It provides
  gconf2_install macro for schemas installation. Requires: rpm >=
  4.0.4-alt1
- (Igor Androsov)
    - Improved dependencies.
    - Added provides GConf, can replace GConf.
- Partiallly applied patch from Igor Androsov to get gconfd messages
  readable while we can't use .utf8 locales.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt2
- %install section fixed.

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Wed Jun 12 2002 Igor Androsov <blake@altlinux.ru> 1.2.0-alt1
- New version

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 1.1.11-alt1.1
- Other fix BuildRequires
- Fixes %files

* Mon Jun 03 2002 Igor Androsov <blake@altlinux.ru> 1.1.11-alt1
- New version
- Fix BuildRequires

* Fri May 31 2002 Igor Androsov <blake@altlinux.ru> 1.1.10-alt1
- Initial build for AltLinux

* Thu May 23 2002 Igor Androsov <blace@mail.ru> 1.1.10-blk1
- Change GConf-devel to libGConf2-devel
- Fixes spec

* Sat May 11 2002 Igor Androsov <blace@mail.ru> 1.1.10-blk0.2
- New version from CVS
- Minor changes spec file

* Wed May 08 2002 Igor Androsov <blace@mail.ru> 1.1.10-blk0.1
- New soruces from CVS
- Spec for AltLinux
- Moved static libs to devel-static
- Moved libs to libGConf2
